> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a refund for the given credit note.



## OpenAPI

````yaml api-reference/openapi.json post /api/credit-notes/{creditNoteId}/refunds
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/credit-notes/{creditNoteId}/refunds:
    post:
      tags:
        - Credit Note Refunds
      summary: Create a refund for the given credit note.
      operationId: CreditNoteRefundsController_createRefundCreditNote
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: creditNoteId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreditNoteRefundDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreditNoteRefundDto:
      type: object
      properties:
        fromAccountId:
          type: number
          description: The id of the from account
          example: 1
        amount:
          type: number
          description: The amount of the credit note refund
          example: 100
        exchangeRate:
          type: number
          description: The exchange rate of the credit note refund
          example: 1
        referenceNo:
          type: string
          description: The reference number of the credit note refund
          example: '123456'
        description:
          type: string
          description: The description of the credit note refund
          example: Credit note refund
        date:
          format: date-time
          type: string
          description: The date of the credit note refund
          example: '2021-01-01'
        branchId:
          type: number
          description: The id of the branch
          example: 1
      required:
        - fromAccountId
        - amount
        - exchangeRate
        - referenceNo
        - description
        - date
        - branchId

````